Upgrade to MediaWiki 1.24

RESOLVED WONTFIX

Status

Websites
wiki.mozilla.org
RESOLVED WONTFIX
3 years ago
a year ago

People

(Reporter: David Weir (satdav), Unassigned)

Tracking

Production

Details

(URL)

(Reporter)

Description

3 years ago
Please can you update the main website to http://www.mediawiki.org/wiki/MediaWiki_1.24

as this is a major security bug for the media wiki as you can see from the release notes

Comment 1

3 years ago
IMHO this request does not make any sense. w.m.o runs 1.23.x, not 1.24.x.
I'd recommend upgraded to the latest 1.23.x instead (LTS series), see bug 1113181.
Proposing WONTFIX.
We have not yet finalized a decision as whether we will upgrade to 1.24 or remain on the 1.23 LTS branch. When we do, we will handle the coordination of that.

https://git.wikimedia.org/tag/mediawiki%2Fcore.git/07680d5579859ead65acfe79e0c762de9cf5c830
Depends on: 1113181
Summary: Update wiki to 1.24.1 → Upgrade to MediaWiki 1.24.1
No longer depends on: 1113181
Summary: Upgrade to MediaWiki 1.24.1 → Upgrade to MediaWiki 1.24
Depends on: 1032351
This is not going to happen at this time, as Wikimo is operating mostly in security maintenance mode and has limited owner time available. Wikimo owner(s), you are welcome to reopen this in the future and coordinate with the Wikimo operators to test and deploy a non-LTS release here; please be advised, however, that historically we have derived significant benefit from LTS releases as they provide ongoing security patching during the long periods between active Wikimo ownership.
Status: NEW → RESOLVED
Last Resolved: a year ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.